DOM::AbstractView class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::AbstractView Class Reference

Introduced in DOM Level 2. More...

`#include <dom2_views.h>`

List of all members.

## Public Member Functions
| AbstractView (const AbstractView &other)
AbstractView & | operator= (const AbstractView &other)
Document | document () const
| The source DocumentView of which this is an AbstractView.
CSSStyleDeclaration | getComputedStyle (const Element &elt, const DOMString &pseudoElt)
| Introduced in DOM Level 2 This method is from the ViewCSS interface.
AbstractViewImpl * | handle () const
bool | isNull () const
## Protected Member Functions
| AbstractView (AbstractViewImpl *i)
## Protected Attributes
AbstractViewImpl * | impl
## Friends
class | Event
class | UIEvent
class | MouseEvent
class | MutationEvent
class | Document

## Detailed Description

Introduced in DOM Level 2.

A base interface that all views shall derive from.

Definition at line 41 of file dom2_views.h.

## Member Function Documentation

Document AbstractView::document | ( |  | ) | const

| The source DocumentView of which this is an AbstractView. Definition at line 68 of file dom2_views.cpp.

CSSStyleDeclaration AbstractView::getComputedStyle | ( | const Element & | elt,
|  | const DOMString & | pseudoElt
| ) |

  | Introduced in DOM Level 2 This method is from the ViewCSS interface. This method is used to get the computed style as it is defined in [CSS2]. Parameters:
  elt | The element whose style is to be computed. This parameter cannot be null.
  pseudoElt | The pseudo-element or null if none.
Returns: The computed style. The CSSStyleDeclaration is read-only and contains only absolute values. Definition at line 76 of file dom2_views.cpp. References DOM::Node::handle(), and DOM::DOMString::implementation().

The documentation for this class was generated from the following files:

- dom2_views.h
- dom2_views.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:56 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001